- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_randr_set_panning_request_t Struct Reference
[XCB RandR API]

xcb_randr_set_panning_request_t More...

`#include <randr.h>`

## Data Fields
uint8_t | major_opcode
uint8_t | minor_opcode
uint16_t | length
xcb_randr_crtc_t | crtc
xcb_timestamp_t | timestamp
uint16_t | left
uint16_t | top
uint16_t | width
uint16_t | height
uint16_t | track_left
uint16_t | track_top
uint16_t | track_width
uint16_t | track_height
int16_t | border_left
int16_t | border_top
int16_t | border_right
int16_t | border_bottom

## Detailed Description

xcb_randr_set_panning_request_t

## Field Documentation

uint8_t xcb_randr_set_panning_request_t::major_opcode

uint8_t xcb_randr_set_panning_request_t::minor_opcode

uint16_t xcb_randr_set_panning_request_t::length

xcb_randr_crtc_t xcb_randr_set_panning_request_t::crtc

xcb_timestamp_t xcb_randr_set_panning_request_t::timestamp

uint16_t xcb_randr_set_panning_request_t::left

uint16_t xcb_randr_set_panning_request_t::top

uint16_t xcb_randr_set_panning_request_t::width

uint16_t xcb_randr_set_panning_request_t::height

uint16_t xcb_randr_set_panning_request_t::track_left

uint16_t xcb_randr_set_panning_request_t::track_top

uint16_t xcb_randr_set_panning_request_t::track_width

uint16_t xcb_randr_set_panning_request_t::track_height

int16_t xcb_randr_set_panning_request_t::border_left

int16_t xcb_randr_set_panning_request_t::border_top

int16_t xcb_randr_set_panning_request_t::border_right

int16_t xcb_randr_set_panning_request_t::border_bottom

The documentation for this struct was generated from the following file:

- randr.h